Run of fresh-snapshots for node-grunt-known-options

Merge these changes:

Summary

Merged new upstream version: 2.0.0 (was: 1.1.1).

Diff

Branch: main

diff --git a/.gitignore b/.gitignore
deleted file mode 100644
index 3c3629e..0000000
--- a/.gitignore
+++ /dev/null
@@ -1 +0,0 @@
-node_modules
diff --git a/debian/changelog b/debian/changelog
index 6d370b1..2c67416 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+node-grunt-known-options (2.0.0-1) UNRELEASED; urgency=low
+
+  * New upstream release.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 21 Mar 2022 12:53:51 -0000
+
 node-grunt-known-options (1.1.1-3) unstable; urgency=medium
 
   [ Debian Janitor ]
diff --git a/index.js b/index.js
index 4a75cf2..1783f3b 100644
--- a/index.js
+++ b/index.js
@@ -65,7 +65,8 @@ module.exports = {
     info: 'Output shell auto-completion rules. See the grunt-cli documentation for more information.',
     type: String
   },
-  require: {
+  preload: {
+    short: 'p',
     info: 'Specify a language interpreter to require first if you are writing your Gruntfile in ' +
       'a language Grunt doesn\'t support by default.',
     type: String
diff --git a/package.json b/package.json
index e536b72..4e9c014 100644
--- a/package.json
+++ b/package.json
@@ -1,7 +1,7 @@
 {
   "name": "grunt-known-options",
   "description": "The known options used in Grunt",
-  "version": "1.1.1",
+  "version": "2.0.0",
   "author": "Grunt Development Team (http://gruntjs.com/development-team)",
   "homepage": "http://gruntjs.com/",
   "repository": "gruntjs/grunt-known-options",
@@ -10,10 +10,8 @@
     "node": ">=0.10.0"
   },
   "main": "index.js",
-  "dependencies": {
-  },
-  "devDependencies": {
-  },
+  "dependencies": {},
+  "devDependencies": {},
   "files": [
     "index.js"
   ]

Branch: pristine-tar

diff --git a/node-grunt-known-options_2.0.0.orig.tar.gz.delta b/node-grunt-known-options_2.0.0.orig.tar.gz.delta
new file mode 100644
index 0000000..85d1c5b
Binary files /dev/null and b/node-grunt-known-options_2.0.0.orig.tar.gz.delta differ
diff --git a/node-grunt-known-options_2.0.0.orig.tar.gz.id b/node-grunt-known-options_2.0.0.orig.tar.gz.id
new file mode 100644
index 0000000..8e5b71d
--- /dev/null
+++ b/node-grunt-known-options_2.0.0.orig.tar.gz.id
@@ -0,0 +1 @@
+648f6958fe6b4182d1ec7fc292173b8b77a28e85

Branch: upstream

Tag: upstream/2.0.0
diff --git a/.gitignore b/.gitignore
deleted file mode 100644
index 3c3629e..0000000
--- a/.gitignore
+++ /dev/null
@@ -1 +0,0 @@
-node_modules
diff --git a/index.js b/index.js
index 4a75cf2..1783f3b 100644
--- a/index.js
+++ b/index.js
@@ -65,7 +65,8 @@ module.exports = {
     info: 'Output shell auto-completion rules. See the grunt-cli documentation for more information.',
     type: String
   },
-  require: {
+  preload: {
+    short: 'p',
     info: 'Specify a language interpreter to require first if you are writing your Gruntfile in ' +
       'a language Grunt doesn\'t support by default.',
     type: String
diff --git a/package.json b/package.json
index e536b72..4e9c014 100644
--- a/package.json
+++ b/package.json
@@ -1,7 +1,7 @@
 {
   "name": "grunt-known-options",
   "description": "The known options used in Grunt",
-  "version": "1.1.1",
+  "version": "2.0.0",
   "author": "Grunt Development Team (http://gruntjs.com/development-team)",
   "homepage": "http://gruntjs.com/",
   "repository": "gruntjs/grunt-known-options",
@@ -10,10 +10,8 @@
     "node": ">=0.10.0"
   },
   "main": "index.js",
-  "dependencies": {
-  },
-  "devDependencies": {
-  },
+  "dependencies": {},
+  "devDependencies": {},
   "files": [
     "index.js"
   ]

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 1258, max open: 200)
  • ☑ change set 8e9781e2-b1ae-49f2-af6c-6662e8ce287c is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots node-grunt-known-options

Lintian Result

Full worker log Full build log